restinio::http_field_parsers::details Namespace Reference

## Classes

struct | pct_encoded_symbols_consumer_t
| A special consumer that inserts an extracted sequence of symbols into the result string. More...

## Typedefs

using | pct_encoded_result_type_t = std::array< char, 3 >
| A type for representing extraction of percent-encoded char from the input stream. More...

## Functions

RESTINIO_NODISCARD auto | pct_encoded_symbols_p ()
| A producer that extract a sequence of symbols represented a percent-encoded character. More...

## Typedef Documentation

## pct_encoded_result_type_t

using restinio::http_field_parsers::details::pct_encoded_result_type_t = typedef std::array< char, 3 >

A type for representing extraction of percent-encoded char from the input stream.

Exactly three symbols are extracted: `% HEXDIGIT HEXDIGIT`

Note
  Moved into restinio::http_field_parsers::details namespace in v.0.6.9.

Since
  v.0.6.1

Definition at line 39 of file pct_encoded_symbols.hpp.

## Function Documentation

## pct_encoded_symbols_p()

RESTINIO_NODISCARD auto restinio::http_field_parsers::details::pct_encoded_symbols_p | ( |  | ) |

inline

A producer that extract a sequence of symbols represented a percent-encoded character.

This producer returns instances of pct_encoded_result_type_t.

Note
  Moved into restinio::http_field_parsers::details namespace in v.0.6.9.

Since
  v.0.6.1

Definition at line 57 of file pct_encoded_symbols.hpp.